<template>
    <div
        v-if="data"
        class="page-container"
    >
        <div class="container">
            <div
                v-if="updateMessage.status"
                class="update-success-message"
            >
                {{ updateMessage.message }}
                <button
                    class="btn"
                    @click="updateMessage.status = false"
                >
                    ×
                </button>
            </div>
        </div>
        <div class="shop-title">
            Edit Shops
        </div>
        <div>
            <b-tabs pills>
                <b-tab title="General info">
                    <GeneralInfoTab
                        :info="data"
                        :message="updateMessage"
                    />
                </b-tab>
                <b-tab
                    v-if="isShopify"
                    title="Refunds"
                >
                    <Refunds />
                </b-tab>
            </b-tabs>
        </div>
    </div>
</template>

<script>
import shop from '@/mixins/admin/shops.service'
import GeneralInfoTab from "@/components/super-admin/shops/GeneralInfoTab";
import Refunds from "@/components/super-admin/shops/Refunds";

export default {
    name: "AdminShopsEdit",
    components: {Refunds, GeneralInfoTab},
    mixins: [shop],
    data() {
        return {
            data: null,
            isShopify: false,
            updateMessage: {
                message: '',
                status: false
            }
        }
    },
    created() {
        this.loadData()
        if ($cookies.get('platform') === 'shopify') {
            this.isShopify = true
        }
    },
    methods: {
        async loadData() {
            await this.getShopById(this.$route.params.id).then(response => {
                this.data = response.data.data
            })
        }
    }
}
</script>

<style scoped lang="scss">
@import "resources/css/colors";

.page-container {
    padding-top: 40px;
    @media(max-width: 770px) {
        padding-top: 80px;
    }
}

.shop-title {
    font-size: 28px;
    color: $blue-color;
    margin-bottom: 15px;
}

.update-success-message {
    color: #3c763d;
    background-color: #dff0d8;
    border: 1px solid #d6e9c6;
    padding: 15px;
    margin-bottom: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-radius: 4px;
}


</style>
